export interface Choices {
    [location: string]: string[],
}

// /** Jedna konkrétní pizza */
interface Pizza {
    name: string, // název pizzy
    size: number, // velikost pizzy v cm
    price: number, // cena pizzy v Kč, včetně krabice
}

// /** Objednávka jednoho člověka */
interface Order {
    customer: string, // název člověka
    pizzaList: Pizza[], // seznam objednaných pizz
    totalPrice: number, // celková cena všech objednaných pizz a krabic
}

// /** Stav pizza dne. */
export enum State {
    NOT_CREATED, // Pizza day nebyl založen
    CREATED, // Pizza day je založen
    LOCKED // Objednávky uzamčeny
}

// /** Veškerá data pro zobrazení na klientovi */
interface PizzaDay {
    state: State, // stav pizza dne
    creator: string, // jméno zakladatele
    orders: Order[], // seznam objednávek, pokud není vyplněno, není založen pizza day
}

export interface ClientData {
    date: string, // dnešní datum pro zobrazení
    isWeekend: boolean, // příznak, zda je dnes víkend
    choices: Choices, // seznam voleb
    pizzaDay?: PizzaDay, // pizza day pro dnešní den, pokud existuje
}

export enum Locations {
    SLADOVNICKA = 'Sladovnická',
    UMOTLIKU = 'U Motlíků',
    TECHTOWER = 'TechTower',
    SPSE = 'SPŠE',
    VLASTNI = 'Mám vlastní',
    OBJEDNAVAM = 'Objednávám',
    NEOBEDVAM = 'Neobědvám',
}